Ошибка in ggint$ map_layout (панель, plot $facet, layer_data, plot $data): unused argument (plot $data)

После обновляя книжные магазины в RStudio, они выходят у меня ошибка, которая имеет общее с книжным магазином ggplot2.

p <- ggplot(overviewplotdata, aes(x=Dataset,
                                    y=Well, 
                                    fill=value,
                                    alpha=0.8)) 
  p <- p + geom_raster()
  p <- p + labs(x = "Knowledge Area", y = "Well") 
  p <- p + scale_colour_manual(values=c("red", "green"))
  p <- p + guides(fill=FALSE)
  p <- p + guides(alpha=FALSE)
  p <- p + theme(plot.background = element_rect(fill = "transparent",
                                                colour = NA),
                  panel.background = element_rect(fill = "transparent",
                                                  colour = NA),
                  panel.grid.major = element_line(colour = "grey")
                )
print(p)

Ошибка in ggint$ map_layout (панель, plot $facet, layer_data, plot $data): unused argument (plot $data)

версия ggplot2 - 2.1.0

Большое спасибо.

3
задан 16.03.2016, 20:04
1 ответ

versiГіn у 2.1.0 из ggplot2 есть проблемы версии plotly 2.0.?, это документировалось в:

https://github.com/ropensci/plotly/issues/481

Обновляет plotly:

https://github.com/ropensci/plotly

1
ответ дан 24.11.2019, 14:43
  • 1
    Спасибо за ответ, plotly у меня есть versi и # 243; n 3.4.1, но равный оно не функционирует. – olgalucegu 16.03.2016, 20:45